package com.yfd.monitor.gdw2019.task.impl;

import com.yfd.monitor.conf.DynamicTask;
import com.yfd.monitor.gdw2019.bean.*;
import com.yfd.monitor.gdw2019.task.ISubscribeTask;
import com.yfd.monitor.gdw2019.transmit.cmd.ISIPCommanderForPlatform;
import com.yfd.monitor.service.IPlatformService;
import com.yfd.monitor.service.bean.GPSMsgInfo;
import com.yfd.monitor.storager.IRedisCatchStorage;
import com.yfd.monitor.storager.IVideoManagerStorage;
import com.yfd.monitor.utils.SpringBeanFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.annotation.Async;

import javax.sip.DialogState;
import java.util.List;

/**
 * 向已经订阅(移动位置)的上级发送MobilePosition消息
*
 */
public class MobilePositionSubscribeHandlerTask implements ISubscribeTask {


    private IPlatformService platformService;
    private String platformId;


    public MobilePositionSubscribeHandlerTask(String platformId) {
        this.platformService = SpringBeanFactory.getBean("platformServiceImpl");
        this.platformId = platformId;
    }

    @Override
    public void run() {
        platformService.sendNotifyMobilePosition(this.platformId);
    }

    @Override
    public void stop() {

    }
}
