package com.yfd.platform.component.mqtt;



import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * MqttProperties
 *
 * @date 2022/8/23
 */
@Data
@Component
public class MqttProperties {

    /**
     * 用户名
     */
    @Value("${mqttserver.username}")
    private String username;

    /**
     * 密码
     */
    @Value("${mqttserver.password}")
    private String password;

    /**
     * 连接地址
     */
    @Value("${mqttserver.host-url}")
    private String hostUrl;

    /**
     * 进-客户Id
     */
    @Value("${mqttserver.in-client-id}")
    private String inClientId;

    /**
     * 出-客户Id
     */
    @Value("${mqttserver.out-client-id}")
    private String outClientId;

    /**
     * 客户Id
     */
    @Value("${mqttserver.client-id}")
    private String clientId;

    /**
     * 默认连接话题
     */
    @Value("${mqttserver.default-topic}")
    private String defaultTopic;

    /**
     * 超时时间
     */
    @Value("${mqttserver.timeout}")
    private int timeout;

    /**
     * 保持连接数
     */
    @Value("${mqttserver.keepalive}")
    private int keepalive;

    /**是否清除session*/
    @Value("${mqttserver.clearSession}")
    private boolean clearSession;

    // ...getter and setter

}

