package com.yfd.platform.modules.algorithm.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2025-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_algorithm_device")
@ApiModel("算法分类绑定点位")
public class AlgorithmDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @ApiModelProperty("ID")
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 算法分类id
     */
    @ApiModelProperty("算法分类id")
    private String algorithmId;

    /**
     * 参数id
     */
    @ApiModelProperty("参数id")
    private String paramId;

    /**
     * 参数名称
     */
    @ApiModelProperty("参数名称")
    private String paramName;

    /**
     * 参数值
     */
    @ApiModelProperty("参数值")
    private String paramValue;

    /**
     * 部件id
     */
    @ApiModelProperty("部件id")
    private String componentId;

    /**
     * 巡视点位名称(信号名称)
     */
    @ApiModelProperty("巡视点位名称(信号名称)")
    private String deviceName;

    /**
     * 巡视点位id（信号id）
     */
    @ApiModelProperty("巡视点位id（信号id）")
    private String deviceId;

    /**
     * 来源类型（1:巡视点位；2：辅控信号）
     */
    @ApiModelProperty("来源类型（1:巡视点位；2：辅控信号）")
    private String sourceType;

    /**
     * 数据状态
     */
    @ApiModelProperty("数据状态")
    private String datastatus;

    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @ApiModelProperty("最近修改时间")
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    @ApiModelProperty("备用1")
    private String custom1;

    /**
     * 备用2
     */
    @ApiModelProperty("备用2")
    private String custom2;

    /**
     * 备用3
     */
    @ApiModelProperty("备用3")
    private String custom3;


}
