package com.yfd.platform.modules.auxcontrol.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 变电站-通讯网关设备
 * </p>
 *
 * @author zhengsl
 * @since 2025-04-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("fk_gateway_device")
public class GatewayDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 变电站ID
     */
    private String stationId;

    /**
     * 设备类型：01-监控主机 02-网关机  03-通信服务器
     */
    private String deviceType;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 中文描述
     */
    private String deviceDesc;

    /**
     * 设备型号
     */
    private String deviceModel;

    /**
     * 出厂编号
     */
    private String productionNum;

    /**
     * 生产日期
     */
    private String productionDate;

    /**
     * 生产厂家
     */
    private String manufacturer;

    /**
     * 生产国家
     */
    private String madein;

    /**
     * 实物ID
     */
    private String phyassetId;

    /**
     * 以太网IP地址
     */
    private String ipAddr;

    /**
     * 以太网Mac地址
     */
    private String macAddr;

    /**
     * 设备状态：00-停用  01-使用-在线  02-使用-不在线
     */
    private String status;

    /**
     * IEC104协议地址
     */
    private Integer iecAddr;

    /**
     * 心跳保持更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp keepliveTime;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

    /**
     * 遥测类报表控制块
     */
    private String urcb;

    /**
     * 遥信类报告控制块
     */
    private String brcb;

    /**
     * 设备使用的协议类型  IEC104,IEC61850
     */
    @TableField("Protocol")
    private String protocol;

    /**
     * 采集频率
     */
    private String frequency;


}
