package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author zhengsl
 * @since 2024-04-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_alarm_threshold")
public class AlarmThreshold implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 告警阈值 id:station_id 变电站编码+	device_id 设备点位 ID+	defect_type 缺陷识别类型+	alarm_type 告警类型唯一
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String alarmThresholdId;

    /**
     * 变电站编码
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 设备点位 ID
     */
    private String deviceId;

    /**
     * 设备点位名称
     */
    private String deviceName;

    /**
     * 缺陷类型定义见 I.11
     */
    private String defectType;

    /**
     * 变电站编码,与业务中台保持一致
     */
    private String stationCode;

    /**
     * 判定规则,1 等于 ,2 不等于 ,3 包括 ,4 不包括，5 上下限 ,6	上限 ,7 下限
     */
    private String decideRule;

    /**
     * 判定值类别,1 数值，2 百分比
     */
    private String decisionValueClass;

    /**
     * 告警描述
     */
    private String alarmDesc;

    /**
     * 告警类型1 超温报警	2 温升报警	3 三相温差报警	4 三相对比报警	5 声音异常	6 外观异常	7 仪表越限报警	8 仪表超量程报警	9 仪表三相对比	10 变位报警
     */
    private String alarmType;

    /**
     * 告警类别：1：阈值类；2：状态类；3：趋势类
     */
    private String alarmClass;

    /**
     * 是否跟上次结果对比，1:是;0:否
     */
    private String isLastContrast;

    /**
     * 启用/禁用；0：禁用；1：启用
     */
    private String isenable;

    /**
     * 报警判断值（状态类、趋势类）
     */
    private String baseLineValue;

    /**
     * 报警判断值（状态类、趋势类）
     */
    private String baseValue;

    /**
     * <1>:一般,<2>:严重,<3>:危急
     */
    private String alarmLevel;

}
