package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 机器人及无人机履历表
 * </p>
 *
 *
 * @since 2023-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_patroldevice_resume")
public class PatroldeviceResume implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 变电站id
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 变电站编码
     */
    private String stationCode;

    /**
     * 巡视设备编号
     */
    private String patroldeviceCode;

    /**
     * 巡视设备名称
     */
    private String patroldeviceName;

    /**
     * 类型：1:缺陷记录；2:大修记录；3:退出再投运记录
     */
    private String type;

    /**
     * 时间
     */
    private String time;

    /**
     * 描述
     */
    private String comment;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
