package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 变电站_间隔
 * </p>
 *
 *
 * @since 2023-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_substation_bay")
public class SubstationBay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 间隔id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String bayId;

    /**
     * 间隔名称
     */
    private String bayName;

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;

    /**
     * 备用1(排序编号)
     */
    private Integer custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
