package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 微气象数据日志表
 * </p>
 *
 *
 * @since 2023-04-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_weather_log")
public class WeatherLog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 变电站id
     */
    private String stationId;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 变电站编码
     */
    private String stationCode;

    /**
     * 巡视设备id，微气象信息由机器人进行采集，所以关联机器人信息
     */
    private String patroldeviceId;

    /**
     * 巡视设备编码
     */
    private String patroldeviceCode;

    /**
     * 巡视设备名称
     */
    private String patroldeviceName;

    /**
     * 时间
     */
    private String time;

    /**
     * 类型，1：环境温度，2：环境湿度，3：风速，4：雨量，5：风向，6：气压，7：氧气，8：SF6
     */
    private String type;

    /**
     * 值
     */
    private String value;

    /**
     * 单位
     */
    private String unit;

    /**
     * 数据状态，0：为过期数据，1：为最新数据，同类型数据最新数据保持一条
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
