package com.yfd.platform.modules.patroltask.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 巡视任务执行日志
 * </p>
 *
 *
 * @since 2023-05-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_task_dolog")
public class TaskDolog implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 任务名称
     */
    private String stationCode;

    /**
     * 任务编码
     */
    private String taskCode;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 执行任务ID
     */
    private String taskTodoid;

    /**
     * 操作类型:  系统执行、系统中断、手动暂停、手动恢复、手动终止
     */
    private String doType;

    /**
     * 计划开始时间
     */
    private String planStartTime;

    /**
     * 实际开始时间
     */
    private String doStartTime;

    /**
     * 任务执行时间  单位秒
     */
    private String doTotalTime;

    /**
     * 日志描述
     */
    private String description;

    /**
     * 日志时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp logTime;

    /**
     * 操作人
     */
    private String logger;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
