package com.yfd.platform.modules.patroltask.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.patroltask.domain.ExaminePlan;

import java.util.Map;

/**
 * <p>
 * 检修计划表 Mapper 接口
 * </p>
 *
 *
 * @since 2023-04-08
 */
public interface ExaminePlanMapper extends BaseMapper<ExaminePlan> {

    /**********************************
     * 用途说明: 分页查询检修计划
     * 参数说明 page 分页参数
     * 参数说明 stationId 变电站id
     * 参数说明 configName 检修计划名称
     * 参数说明 bindStatus 绑定状态
     * 返回值说明: com.baomidou.mybatisplus.extension.plugins.pagination.Page<java.util.Map<java.lang.String,java.lang.Object>>
     ***********************************/
    Page<Map<String, Object>> getExaminePlanPage(Page<Map<String, Object>> page, String stationId, String configName, String bindStatus);

}
