package com.yfd.platform.modules.patroltask.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.config.ResponseResult;
import com.yfd.platform.modules.patroltask.domain.DefectDevice;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zhengsl
 * @since 2024-03-28
 */
public interface IDefectDeviceService extends IService<DefectDevice> {

    /**********************************
    * 用途说明: 查询缺陷数据
    * 参数说明 page
    * 参数说明 stationId 变电站id
    * 参数说明 areaId 区域id
    * 参数说明 bayId 间隔id
    * 参数说明 taskName 任务名称
    * 参数说明 deviceName 点位名称
    * 参数说明 patroldeviceName 设备名称
    * 参数说明 componentName 部件名称
    * 参数说明 recognitionType 识别类型
    * 参数说明 isDefectFlag 是否归入
    * 参数说明 startDate 开始时间
    * 参数说明 endDate 结束时间
    * 返回值说明: com.yfd.platform.config.ResponseResult
    ***********************************/
    ResponseResult getDefectDeviceList(Page<Map<String, Object>> page, String stationCode, String areaId, String bayId, String taskName, String deviceName, String patroldeviceName, String componentName, String recognitionType, String isDefectFlag, String startDate, String endDate);

    /**********************************
    * 用途说明: 缺陷信息归入
    * 参数说明 ids id集合
    * 返回值说明: boolean
    ***********************************/
    boolean setDefectDevice(String ids);

    /**********************************
    * 用途说明: 根据id获取缺陷信息
    * 参数说明 id id
    * 返回值说明: com.yfd.platform.config.ResponseResult
    ***********************************/
    ResponseResult getDefectDeviceById(String id);

    /**********************************
    * 用途说明: 缺陷信息删除
    * 参数说明 ids id集合
    * 返回值说明: boolean
    ***********************************/
    boolean deleteDefectDevice(String ids);
}
