package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 菜单及按钮
 * </p>
 *
 *
 * @since 2021-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_menu")
public class SysMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 1-web  2-pad  3-mobile
     */
    private String systemcode;

    /**
     * 1-菜单 2-按钮
     */
    private String type;

    /**
     * 在系统内自动生成
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 图标地址
     */
    private String icon;

    /**
     * 是否外链
     */
    private String islink;

    /**
     * 内部模块路径或者外链地址
     */
    private String opturl;

    /**
     * 权限控制标识
     */
    private String permission;

    /**
     * 顶级为0
     */
    private String parentid;

    /**
     * 排序号
     */
    private Integer orderno;

    /**
     * 0-不显示 1-显示
     */
    private String isdisplay;

    /**
     * 最近修改者
     */
    private String lastmodifier;

    /**
     * 最近修改日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Timestamp lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

}
