package com.yfd.platform.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yfd.platform.system.domain.SysConfig;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 系统全局配置 服务类
 * </p>
 *
 *
 * @since 2022-01-19
 */
public interface ISysConfigService extends IService<SysConfig> {

    /**********************************
    * 用途说明: 上传系统操作手册
    * 参数说明 file 文件域
    * 返回值说明: void
    ***********************************/
    void uploadModelFile(MultipartFile file);

    /**********************************
    * 用途说明: 下载操作手册
    * 参数说明 fileName 文件名称
    * 参数说明 response
    * 返回值说明: void
    ***********************************/
    void downloadConfigFile(String fileName, HttpServletResponse response);

    /**********************************
    * 用途说明: 删除文件
    * 参数说明 id 配置id
    * 参数说明 fileName 文件名称
    * 返回值说明: boolean
    ***********************************/
    boolean deleteConfigFile(String id, String fileName);

}
